Don't use bundled litehtml. Use MacPorts litehtml.
--- CMakeLists.txt.orig	2021-11-16 15:00:48.000000000 -0600
+++ CMakeLists.txt	2022-06-03 13:53:45.000000000 -0500
@@ -15,8 +15,8 @@
 set(CMAKE_C_FLAGS_RELEASE "-O3")
 
 set(LITEBROWSER_PATH src)
-set(LITEHTML_PATH litehtml)
-set(CONTAINER_PATH ${LITEHTML_PATH}/containers/linux)
+set(LITEHTML_PATH ${CMAKE_INSTALL_PREFIX})
+set(CONTAINER_PATH ${LITEHTML_PATH}/include/litehtml/containers/linux)
 
 pkg_check_modules(LB_LIBS REQUIRED fontconfig gdkmm-3.0 gtkmm-3.0 libcurl cairo pango pangocairo)
 
@@ -34,11 +34,9 @@
             ${LITEBROWSER_PATH}/web_history.h
     )
 
-add_subdirectory(${LITEHTML_PATH})
-
 find_program(XXD_COMMAND xxd)
 add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/src/master.css.inc
-                   COMMAND cat ${CMAKE_CURRENT_SOURCE_DIR}/${LITEHTML_PATH}/include/master.css | xxd -i > ${CMAKE_CURRENT_SOURCE_DIR}/src/master.css.inc)
+                   COMMAND cat ${LITEHTML_PATH}/share/litehtml/css/master.css | xxd -i > ${CMAKE_CURRENT_SOURCE_DIR}/src/master.css.inc)
 set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/src/master.css.inc PROPERTIES GENERATED TRUE)
 
 add_executable(${PROJECT_NAME} ${SOURCE} ${HEADERS} ${CMAKE_CURRENT_SOURCE_DIR}/src/master.css.inc src/http_loader.h src/http_loader.cpp)
--- src/globals.h.orig	2020-10-26 08:35:51.000000000 -0500
+++ src/globals.h	2021-04-14 23:23:53.000000000 -0500
@@ -19,7 +19,7 @@
 #include <gtkmm.h>
 #include <gtkmm/application.h>
 #include <gtkmm/window.h>
-#include "../litehtml/include/litehtml.h"
+#include <litehtml/litehtml.h>
 #include <ft2build.h>
 #include FT_FREETYPE_H
 #include <fontconfig/fontconfig.h>
--- src/html_widget.h.orig	2020-10-26 08:35:51.000000000 -0500
+++ src/html_widget.h	2021-04-14 23:23:40.000000000 -0500
@@ -1,7 +1,7 @@
 #pragma once
 
 #include <gtkmm/drawingarea.h>
-#include "../litehtml/containers/linux/container_linux.h"
+#include <litehtml/containers/linux/container_linux.h>
 #include "http_loader.h"
 
 class browser_window;
